diff --git a/Novetus/NovetusCore/CharCustom/Forms/Compact/CharacterCustomizationCompact.cs b/Novetus/NovetusCore/CharCustom/Forms/Compact/CharacterCustomizationCompact.cs
index e23c996..0ec327b 100644
--- a/Novetus/NovetusCore/CharCustom/Forms/Compact/CharacterCustomizationCompact.cs
+++ b/Novetus/NovetusCore/CharCustom/Forms/Compact/CharacterCustomizationCompact.cs
@@ -882,7 +486,7 @@ public partial class CharacterCustomizationCompact : Form
                         textBox9,
                         listBox7,
                         false,
-                        PantsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(contentProviders, PantsTypeBox.SelectedItem.ToString()) : null
+                        PantsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(characterCustomizationForm.contentProviders, PantsTypeBox.SelectedItem.ToString()) : null
                     );
         }
     }
@@ -894,7 +498,7 @@ public partial class CharacterCustomizationCompact : Form
             PantsIDBox.Text = "";
             if (File.Exists(GlobalPaths.ConfigDir + "\\ContentProviders.xml"))
             {
-                PantsTypeBox.SelectedItem = contentProviders.FirstOrDefault().Name;
+                PantsTypeBox.SelectedItem = characterCustomizationForm.contentProviders.FirstOrDefault().Name;
             }
             Random random = new Random();
             int randomPants1 = random.Next(listBox7.Items.Count);
@@ -909,7 +513,7 @@ public partial class CharacterCustomizationCompact : Form
             PantsIDBox.Text = "";
             if (File.Exists(GlobalPaths.ConfigDir + "\\ContentProviders.xml"))
             {
-                PantsTypeBox.SelectedItem = contentProviders.FirstOrDefault().Name;
+                PantsTypeBox.SelectedItem = characterCustomizationForm.contentProviders.FirstOrDefault().Name;
             }
             listBox7.SelectedItem = "NoPants.rbxm";
         }
@@ -921,7 +525,7 @@ public partial class CharacterCustomizationCompact : Form
 
         if (!string.IsNullOrWhiteSpace(PantsIDBox.Text))
         {
-            GlobalVars.UserCustomization.Pants = Custom_Pants_URL + PantsIDBox.Text;
+            GlobalVars.UserCustomization.Pants = characterCustomizationForm.Custom_Pants_URL + PantsIDBox.Text;
             PantsIDBox.Focus();
         }
         else
@@ -937,7 +541,7 @@ public partial class CharacterCustomizationCompact : Form
                             textBox9,
                             listBox7,
                             false,
-                            PantsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(contentProviders, PantsTypeBox.SelectedItem.ToString()) : null
+                            PantsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(characterCustomizationForm.contentProviders, PantsTypeBox.SelectedItem.ToString()) : null
                         );
     }
 
@@ -947,13 +551,13 @@ public partial class CharacterCustomizationCompact : Form
 
         if (PantsTypeBox.SelectedItem != null)
         {
-            pantsProvider = Settings.OnlineClothing.FindContentProviderByName(contentProviders, PantsTypeBox.SelectedItem.ToString());
-            Custom_Pants_URL = pantsProvider.URL;
+            pantsProvider = Settings.OnlineClothing.FindContentProviderByName(characterCustomizationForm.contentProviders, PantsTypeBox.SelectedItem.ToString());
+            characterCustomizationForm.Custom_Pants_URL = pantsProvider.URL;
         }
 
         if (!string.IsNullOrWhiteSpace(PantsIDBox.Text))
         {
-            GlobalVars.UserCustomization.Pants = Custom_Pants_URL + PantsIDBox.Text;
+            GlobalVars.UserCustomization.Pants = characterCustomizationForm.Custom_Pants_URL + PantsIDBox.Text;
             CustomizationFuncs.ChangeItem(
                             GlobalVars.UserCustomization.Pants,
                             GlobalPaths.pantsdir,
@@ -1097,376 +701,258 @@ public partial class CharacterCustomizationCompact : Form
 
     void Button1Click(object sender, EventArgs e)
     {
-        SelectedPart = "Head";
-        label2.Text = SelectedPart;
+        characterCustomizationForm.SelectedPart = "Head";
+        label2.Text = characterCustomizationForm.SelectedPart;
     }
 
     void Button2Click(object sender, EventArgs e)
     {
-        SelectedPart = "Torso";
-        label2.Text = SelectedPart;
+        characterCustomizationForm.SelectedPart = "Torso";
+        label2.Text = characterCustomizationForm.SelectedPart;
     }
 
     void Button3Click(object sender, EventArgs e)
     {
-        SelectedPart = "Right Arm";
-        label2.Text = SelectedPart;
+        characterCustomizationForm.SelectedPart = "Right Arm";
+        label2.Text = characterCustomizationForm.SelectedPart;
     }
 
     void Button4Click(object sender, EventArgs e)
     {
-        SelectedPart = "Left Arm";
-        label2.Text = SelectedPart;
+        characterCustomizationForm.SelectedPart = "Left Arm";
+        label2.Text = characterCustomizationForm.SelectedPart;
     }
 
     void Button5Click(object sender, EventArgs e)
     {
-        SelectedPart = "Right Leg";
-        label2.Text = SelectedPart;
+        characterCustomizationForm.SelectedPart = "Right Leg";
+        label2.Text = characterCustomizationForm.SelectedPart;
     }
 
     void Button6Click(object sender, EventArgs e)
     {
-        SelectedPart = "Left Leg";
-        label2.Text = SelectedPart;
-    }
-
-    Color ConvertStringtoColor(string CString)
-    {
-        var p = CString.Split(new char[] { ',', ']' });
-
-        int A = Convert.ToInt32(p[0].Substring(p[0].IndexOf('=') + 1));
-        int R = Convert.ToInt32(p[1].Substring(p[1].IndexOf('=') + 1));
-        int G = Convert.ToInt32(p[2].Substring(p[2].IndexOf('=') + 1));
-        int B = Convert.ToInt32(p[3].Substring(p[3].IndexOf('=') + 1));
-
-        return Color.FromArgb(A, R, G, B);
-    }
-
-    void ChangeColorOfPart(int ColorID)
-    {
-        ChangeColorOfPart(ColorID, PartColorList.Find(x => x.ColorID == ColorID).ButtonColor);
-    }
-
-    void ChangeColorOfPart(int ColorID, Color ButtonColor)
-    {
-        ChangeColorOfPart(SelectedPart, ColorID, ButtonColor);
-    }
-
-    void ChangeColorOfPart(string part, int ColorID, Color ButtonColor)
-    {
-        switch (part)
-        {
-            case "Head":
-                GlobalVars.UserCustomization.HeadColorID = ColorID;
-                GlobalVars.UserCustomization.HeadColorString = ButtonColor.ToString();
-                button1.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.HeadColorString);
-                break;
-            case "Torso":
-                GlobalVars.UserCustomization.TorsoColorID = ColorID;
-                GlobalVars.UserCustomization.TorsoColorString = ButtonColor.ToString();
-                button2.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.TorsoColorString);
-                break;
-            case "Right Arm":
-                GlobalVars.UserCustomization.RightArmColorID = ColorID;
-                GlobalVars.UserCustomization.RightArmColorString = ButtonColor.ToString();
-                button3.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.RightArmColorString);
-                break;
-            case "Left Arm":
-                GlobalVars.UserCustomization.LeftArmColorID = ColorID;
-                GlobalVars.UserCustomization.LeftArmColorString = ButtonColor.ToString();
-                button4.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.LeftArmColorString);
-                break;
-            case "Right Leg":
-                GlobalVars.UserCustomization.RightLegColorID = ColorID;
-                GlobalVars.UserCustomization.RightLegColorString = ButtonColor.ToString();
-                button5.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.RightLegColorString);
-                break;
-            case "Left Leg":
-                GlobalVars.UserCustomization.LeftLegColorID = ColorID;
-                GlobalVars.UserCustomization.LeftLegColorString = ButtonColor.ToString();
-                button6.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.LeftLegColorString);
-                break;
-            default:
-                break;
-        }
+        characterCustomizationForm.SelectedPart = "Left Leg";
+        label2.Text = characterCustomizationForm.SelectedPart;
     }
 
     void Button7Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(1);
+        characterCustomizationForm.ChangeColorOfPart(1);
     }
 
     void Button8Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(208);
+        characterCustomizationForm.ChangeColorOfPart(208);
     }
 
     void Button9Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(194);
+        characterCustomizationForm.ChangeColorOfPart(194);
     }
 
     void Button10Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(199);
+        characterCustomizationForm.ChangeColorOfPart(199);
     }
 
     void Button14Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(26);
+        characterCustomizationForm.ChangeColorOfPart(26);
     }
 
     void Button13Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(21);
+        characterCustomizationForm.ChangeColorOfPart(21);
     }
 
     void Button12Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(24);
+        characterCustomizationForm.ChangeColorOfPart(24);
     }
 
     void Button11Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(226);
+        characterCustomizationForm.ChangeColorOfPart(226);
     }
 
     void Button18Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(23);
+        characterCustomizationForm.ChangeColorOfPart(23);
     }
 
     void Button17Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(107);
+        characterCustomizationForm.ChangeColorOfPart(107);
     }
 
     void Button16Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(102);
+        characterCustomizationForm.ChangeColorOfPart(102);
     }
 
     void Button15Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(11);
+        characterCustomizationForm.ChangeColorOfPart(11);
     }
 
     void Button22Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(45);
+        characterCustomizationForm.ChangeColorOfPart(45);
     }
 
     void Button21Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(135);
+        characterCustomizationForm.ChangeColorOfPart(135);
     }
 
     void Button20Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(106);
+        characterCustomizationForm.ChangeColorOfPart(106);
     }
 
     void Button19Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(105);
+        characterCustomizationForm.ChangeColorOfPart(105);
     }
 
     void Button26Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(141);
+        characterCustomizationForm.ChangeColorOfPart(141);
     }
 
     void Button25Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(28);
+        characterCustomizationForm.ChangeColorOfPart(28);
     }
 
     void Button24Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(37);
+        characterCustomizationForm.ChangeColorOfPart(37);
     }
 
     void Button23Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(119);
+        characterCustomizationForm.ChangeColorOfPart(119);
     }
 
     void Button30Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(29);
+        characterCustomizationForm.ChangeColorOfPart(29);
     }
 
     void Button29Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(151);
+        characterCustomizationForm.ChangeColorOfPart(151);
     }
 
     void Button28Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(38);
+        characterCustomizationForm.ChangeColorOfPart(38);
     }
 
     void Button27Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(192);
+        characterCustomizationForm.ChangeColorOfPart(192);
     }
 
     void Button34Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(104);
+        characterCustomizationForm.ChangeColorOfPart(104);
     }
 
     void Button33Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(9);
+        characterCustomizationForm.ChangeColorOfPart(9);
     }
 
     void Button32Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(101);
+        characterCustomizationForm.ChangeColorOfPart(101);
     }
 
     void Button31Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(5);
+        characterCustomizationForm.ChangeColorOfPart(5);
     }
 
     void Button38Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(153);
+        characterCustomizationForm.ChangeColorOfPart(153);
     }
 
     void Button37Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(217);
+        characterCustomizationForm.ChangeColorOfPart(217);
     }
 
     void Button36Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(18);
+        characterCustomizationForm.ChangeColorOfPart(18);
     }
 
     void Button35Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(125);
+        characterCustomizationForm.ChangeColorOfPart(125);
     }
 
     private void button69_Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(22);
+        characterCustomizationForm.ChangeColorOfPart(22);
     }
 
     private void button70_Click(object sender, EventArgs e)
     {
-        ChangeColorOfPart(128);
+        characterCustomizationForm.ChangeColorOfPart(128);
     }
 
     void Button39Click(object sender, EventArgs e)
     {
-        Random rand = new Random();
-
-        for (int i = 1; i <= 6; i++)
-        {
-            int RandomColor = rand.Next(PartColorList.Count);
-
-            switch (i)
-            {
-                case 1:
-                    ChangeColorOfPart("Head", PartColorList[RandomColor].ColorID, PartColorList[RandomColor].ButtonColor);
-                    break;
-                case 2:
-                    ChangeColorOfPart("Torso", PartColorList[RandomColor].ColorID, PartColorList[RandomColor].ButtonColor);
-                    break;
-                case 3:
-                    ChangeColorOfPart("Left Arm", PartColorList[RandomColor].ColorID, PartColorList[RandomColor].ButtonColor);
-                    break;
-                case 4:
-                    ChangeColorOfPart("Right Arm", PartColorList[RandomColor].ColorID, PartColorList[RandomColor].ButtonColor);
-                    break;
-                case 5:
-                    ChangeColorOfPart("Left Leg", PartColorList[RandomColor].ColorID, PartColorList[RandomColor].ButtonColor);
-                    break;
-                case 6:
-                    ChangeColorOfPart("Right Leg", PartColorList[RandomColor].ColorID, PartColorList[RandomColor].ButtonColor);
-                    break;
-                default:
-                    break;
-            }
-        }
+        characterCustomizationForm.RandomizeColors();
     }
 
     void Button40Click(object sender, EventArgs e)
     {
-        GlobalVars.UserCustomization.HeadColorID = 24;
-        GlobalVars.UserCustomization.TorsoColorID = 23;
-        GlobalVars.UserCustomization.LeftArmColorID = 24;
-        GlobalVars.UserCustomization.RightArmColorID = 24;
-        GlobalVars.UserCustomization.LeftLegColorID = 119;
-        GlobalVars.UserCustomization.RightLegColorID = 119;
-        GlobalVars.UserCustomization.CharacterID = "";
-        GlobalVars.UserCustomization.HeadColorString = "Color [A=255, R=245, G=205, B=47]";
-        GlobalVars.UserCustomization.TorsoColorString = "Color [A=255, R=13, G=105, B=172]";
-        GlobalVars.UserCustomization.LeftArmColorString = "Color [A=255, R=245, G=205, B=47]";
-        GlobalVars.UserCustomization.RightArmColorString = "Color [A=255, R=245, G=205, B=47]";
-        GlobalVars.UserCustomization.LeftLegColorString = "Color [A=255, R=164, G=189, B=71]";
-        GlobalVars.UserCustomization.RightLegColorString = "Color [A=255, R=164, G=189, B=71]";
-        button1.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.HeadColorString);
-        button2.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.TorsoColorString);
-        button3.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.RightArmColorString);
-        button4.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.LeftArmColorString);
-        button5.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.RightLegColorString);
-        button6.BackColor = ConvertStringtoColor(GlobalVars.UserCustomization.LeftLegColorString);
-    }
-
-    public void ApplyPreset(int head, int torso, int larm, int rarm, int lleg, int rleg)
-    {
-        ChangeColorOfPart("Head", head, PartColorList.Find(x => x.ColorID == head).ButtonColor);
-        ChangeColorOfPart("Torso", torso, PartColorList.Find(x => x.ColorID == torso).ButtonColor);
-        ChangeColorOfPart("Left Arm", larm, PartColorList.Find(x => x.ColorID == larm).ButtonColor);
-        ChangeColorOfPart("Right Arm", rarm, PartColorList.Find(x => x.ColorID == rarm).ButtonColor);
-        ChangeColorOfPart("Left Leg", lleg, PartColorList.Find(x => x.ColorID == lleg).ButtonColor);
-        ChangeColorOfPart("Right Leg", rleg, PartColorList.Find(x => x.ColorID == rleg).ButtonColor);
+        characterCustomizationForm.ResetColors();
     }
 
     private void button61_Click(object sender, EventArgs e)
     {
-        ApplyPreset(24, 194, 24, 24, 119, 119);
+        characterCustomizationForm.ApplyPreset(24, 194, 24, 24, 119, 119);
     }
 
     private void button62_Click(object sender, EventArgs e)
     {
-        ApplyPreset(24, 101, 24, 24, 9, 9);
+        characterCustomizationForm.ApplyPreset(24, 101, 24, 24, 9, 9);
     }
 
     private void button63_Click(object sender, EventArgs e)
     {
-        ApplyPreset(24, 23, 24, 24, 119, 119);
+        characterCustomizationForm.ApplyPreset(24, 23, 24, 24, 119, 119);
     }
 
     private void button64_Click(object sender, EventArgs e)
     {
-        ApplyPreset(24, 101, 24, 24, 119, 119);
+        characterCustomizationForm.ApplyPreset(24, 101, 24, 24, 119, 119);
     }
 
     private void button68_Click(object sender, EventArgs e)
     {
-        ApplyPreset(24, 45, 24, 24, 119, 119);
+        characterCustomizationForm.ApplyPreset(24, 45, 24, 24, 119, 119);
     }
 
     private void button67_Click(object sender, EventArgs e)
     {
-        ApplyPreset(106, 194, 106, 106, 119, 119);
+        characterCustomizationForm.ApplyPreset(106, 194, 106, 106, 119, 119);
     }
 
     private void button66_Click(object sender, EventArgs e)
     {
-        ApplyPreset(106, 119, 106, 106, 119, 119);
+        characterCustomizationForm.ApplyPreset(106, 119, 106, 106, 119, 119);
     }
 
     private void button65_Click(object sender, EventArgs e)
     {
-        ApplyPreset(9, 194, 9, 9, 119, 119);
+        characterCustomizationForm.ApplyPreset(9, 194, 9, 9, 119, 119);
     }
     #endregion
 
diff --git a/Novetus/NovetusCore/CharCustom/Forms/Extended/CharacterCustomizationExtended.Designer.cs b/Novetus/NovetusCore/CharCustom/Forms/Extended/CharacterCustomizationExtended.Designer.cs
index 808d81e..3b16d94 100644
--- a/Novetus/NovetusCore/CharCustom/Forms/Extended/CharacterCustomizationExtended.Designer.cs
+++ b/Novetus/NovetusCore/CharCustom/Forms/Extended/CharacterCustomizationExtended.Designer.cs
@@ -2079,6 +2079,37 @@ partial class CharacterCustomizationExtended
         characterCustomizationForm.ShowHatsInExtraBox = checkBox1;
         characterCustomizationForm.SelectedPartLabel = label2;
         characterCustomizationForm.IconLabel = label5;
+        characterCustomizationForm.CharacterTabControl = tabControl1;
+        characterCustomizationForm.OrganizationPanel = panel3;
+
+        characterCustomizationForm.Hat1List = listBox1;
+        characterCustomizationForm.Hat2List = listBox2;
+        characterCustomizationForm.Hat3List = listBox3;
+        characterCustomizationForm.HeadList = listBox8;
+        characterCustomizationForm.TShirtList = listBox5;
+        characterCustomizationForm.ShirtList = listBox6;
+        characterCustomizationForm.PantsList = listBox7;
+        characterCustomizationForm.FaceList = listBox4;
+        characterCustomizationForm.ExtraItemList = listBox9;
+        characterCustomizationForm.Hat1Image = pictureBox1;
+        characterCustomizationForm.Hat2Image = pictureBox2;
+        characterCustomizationForm.Hat3Image = pictureBox3;
+        characterCustomizationForm.HeadImage = pictureBox8;
+        characterCustomizationForm.TShirtImage = pictureBox5;
+        characterCustomizationForm.ShirtImage = pictureBox6;
+        characterCustomizationForm.PantsImage = pictureBox7;
+        characterCustomizationForm.FaceImage = pictureBox4;
+        characterCustomizationForm.ExtraItemImage = pictureBox9;
+        characterCustomizationForm.IconImage = pictureBox10;
+        characterCustomizationForm.Hat1Desc = textBox2;
+        characterCustomizationForm.Hat2Desc = textBox3;
+        characterCustomizationForm.Hat3Desc = textBox4;
+        characterCustomizationForm.HeadDesc = textBox5;
+        characterCustomizationForm.TShirtDesc = textBox7;
+        characterCustomizationForm.ShirtDesc = textBox8;
+        characterCustomizationForm.PantsDesc = textBox9;
+        characterCustomizationForm.FaceDesc = textBox6;
+        characterCustomizationForm.ExtraItemDesc = textBox10;
     }
 
     private System.Windows.Forms.TabPage tabPage12;
